←  Beta Testing

ComputerCraft | Programmable Computers for Minecraft

»

ComputerCraft 1.76 Beta Information (Minec...

Locked

Wojbie's Photo Wojbie 14 Dec 2015

Anyone knows good way to measure/compare fps drop in minecraft? I have feeling like monitors in 1.8 cause more fps drop than in older versions but know not how to measure or compare it.

Is drop from 60 to 13 fps when looking at monitor... Never-mind when typing this message i realized how stupid it sounds. Of course it's a bug.
Edited by Wojbie, 14 December 2015 - 08:10 PM.
Quote

dan200's Photo dan200 15 Dec 2015

New version. Fixes the bugs caused by the last version!
Quote

dan200's Photo dan200 16 Dec 2015

And another!
Quote

Wojbie's Photo Wojbie 16 Dec 2015

Yay! Time to break stuff in most unpredictable way again!
Quote

CaptainKyros's Photo CaptainKyros 16 Dec 2015

The link for 1.76pre6 doesnt work, it just sends me to a curseforge "not found" page
Quote

dan200's Photo dan200 16 Dec 2015

Try again. Curseforge links take a few minutes to filter through the system.
Quote

Nokiyen's Photo Nokiyen 19 Dec 2015

I'm really happy to hear the coming of CC1.8!!!

And, one question is, are api files not ready?.
I can see no files under ~~~.jar/api/dan200/computercraft/ (at least pr6).
Quote

Creator's Photo Creator 19 Dec 2015

After CC1.8, will you go to CC2.0?
Quote

dan200's Photo dan200 19 Dec 2015

View PostNokiyen, on 19 December 2015 - 12:28 AM, said:

I'm really happy to hear the coming of CC1.8!!!

And, one question is, are api files not ready?.
I can see no files under ~~~.jar/api/dan200/computercraft/ (at least pr6).

Weird, my deploy script must be broken. Can you report this as a bug?
Quote

Nokiyen's Photo Nokiyen 19 Dec 2015

View Postdan200, on 19 December 2015 - 12:20 PM, said:

Weird, my deploy script must be broken. Can you report this as a bug?

Of course OK. I'll report it in Github from now.
Quote

ESTD3's Photo ESTD3 20 Dec 2015

Hey, just wanted to know why this mod is being updated for 1.8 but not for 1.8.8?
Quote

Cranium's Photo Cranium 20 Dec 2015

View PostESTD3, on 20 December 2015 - 11:52 AM, said:

Hey, just wanted to know why this mod is being updated for 1.8 but not for 1.8.8?
Probably because 1.8.8 hasn't been out for very long.
Quote

KnightMiner's Photo KnightMiner 20 Dec 2015

And most mods that have updated are only on 1.8, and it is better not to skip that group entirely, and 1.8.8 Forge was still in Beta last I checked.
Quote

Lupus590's Photo Lupus590 20 Dec 2015

A lot of the 1.8.* clients are compatible with different 1.8.* server versions (if I'm remembering the change log correctly). In my 1.7.10 world I have some 1.7.2 mods, works fine.

I'm saying this because it's quite possible that 1.8 CC may run on 1.8.*
Quote

SquidDev's Photo SquidDev 20 Dec 2015

View PostLupus590, on 20 December 2015 - 03:32 PM, said:

A lot of the 1.8.* clients are compatible with different 1.8.* server versions (if I'm remembering the change log correctly). In my 1.7.10 world I have some 1.7.2 mods, works fine.

I'm saying this because it's quite possible that 1.8 CC may run on 1.8.*

The Forge team have made a lot of API changes/improvements between 1.8 and 1.8.8 - CC will crash on 1.8.
Quote

dan200's Photo dan200 20 Dec 2015

Pushed another version, fixing a few more bugs from GitHub. Thanks for all the reports so far.
The biggest change is that reading and writing the non-ascii characters to files and websites now works as you'd expect on all platforms.
Quote

dan200's Photo dan200 21 Dec 2015

View PostESTD3, on 20 December 2015 - 11:52 AM, said:

Hey, just wanted to know why this mod is being updated for 1.8 but not for 1.8.8?

1.8 was the latest modded version of Minecraft for almost a year, therefore, it has a much higher number of people using it than MC 1.8.8 at the moment. If I skipped 1.8 and went straight to 1.8.8, i'd be letting those people down. By releasing for 1.8 and *then* porting to 1.8.8, nobody misses out.

I can't release one version that runs on both due to API incompatibilities in Forge.
Quote

ESTD3's Photo ESTD3 21 Dec 2015

Alright I see :) thanks for info!

View Postdan200, on 21 December 2015 - 12:07 AM, said:

View PostESTD3, on 20 December 2015 - 11:52 AM, said:

Hey, just wanted to know why this mod is being updated for 1.8 but not for 1.8.8?

1.8 was the latest modded version of Minecraft for almost a year, therefore, it has a much higher number of people using it than MC 1.8.8 at the moment. If I skipped 1.8 and went straight to 1.8.8, i'd be letting those people down. By releasing for 1.8 and *then* porting to 1.8.8, nobody misses out.

I can't release one version that runs on both due to API incompatibilities in Forge.
Quote

DannySMc's Photo DannySMc 21 Dec 2015

Hello,

I was using CC1.76pre6, we then updated to 1.76pre8, and it crashed, the error log is fairly large, it seems every computer in the world crashed...?

here is the error log:
http://pastebin.com/YC8PTaLV

Any more information you need just ask!
Quote

Bomb Bloke's Photo Bomb Bloke 21 Dec 2015

Two thoughts; bug reports to GitHub, and that log says you're still on pr6!
Quote
Locked